/*  
 *  XMMS is Copyright (C) 1998-2000  Peter Alm, Mikael Alm, Olle Hallnas, Thomas Nilsson and 4Front Technologies
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef _BTE_H_
#define _BTE_H_
/* System general includes */
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
#include <unistd.h>
#include <fcntl.h>
#include <termios.h>
#include <sys/time.h>
#include <errno.h>

/* XMMS-required includes (glib, threads) */
#include <glib.h>
#include <gtk/gtk.h>
#include <pthread.h>
#include <xmms/plugin.h>

void  bte_about(void);
void  bte_configure(void);
void  bte_open_port(gchar * bt_port);
void  bte_close_port(void);
void  bte_read_config(void);
void  bte_save_config(void);
int   bte_get_portfd(void);
char* bte_poll_key();

typedef struct
{
	gchar *device;
	gint  baudrate;
	gchar *button_play, *button_stop, *button_next, *button_prev;
	gchar *button_pause, *button_seekf, *button_seekb;
	gchar *button_volup, *button_voldown, *button_plus100;
	gchar *button_shuffle, *button_repeat, *button_playlist;
	gchar *button[10], *playlist[100];
}
bteConfig;

extern bteConfig btecfg;
extern gboolean bteconf_is_going;
// will be i18n 
#define _(x) (x) 
#define N_(x) (x) 

#endif /* _IR_H_ */



